local directions = {"blink", "down", "left", "right", "mid", "up"}

-- single

for _, direction in pairs(directions) do
    local name = "single_" .. direction
    core.log("action", name)
    yl_googly_eyes.register_eye(name)
end

-- pair square

for _, direction in pairs(directions) do
    local name = "pair_" .. direction .. "_square"
    core.log("action", name)
    yl_googly_eyes.register_eye(name)
end

-- pair round

local directions_roundpair = {"blink", "cross", "mid"}

for _, direction in pairs(directions_roundpair) do
    local name = "pair_" .. direction .. "_round"
    core.log("action", name)
    yl_googly_eyes.register_eye(name)
end

-- animated example

local texture =
    "[combine:16x256:" .. "0,0=yl_googly_eyes_pair_down_square.png:" .. -- 1
        "0,16=yl_googly_eyes_pair_left_square.png:" .. -- 2
        "0,32=yl_googly_eyes_pair_down_square.png:" .. -- 3
        "0,48=yl_googly_eyes_pair_down_square.png:" .. -- 4
        "0,64=yl_googly_eyes_pair_left_square.png:" .. -- 5
        "0,80=yl_googly_eyes_pair_right_square.png:" .. -- 6
        "0,96=yl_googly_eyes_pair_mid_square.png:" .. -- 7
        "0,112=yl_googly_eyes_pair_down_square.png:" .. -- 8
        "0,128=yl_googly_eyes_pair_down_square.png:" .. -- 9
        "0,144=yl_googly_eyes_pair_down_square.png:" .. -- 10
        "0,160=yl_googly_eyes_pair_down_square.png:" .. -- 11
        "0,176=yl_googly_eyes_pair_blink_square.png:" .. -- 12
        "0,192=yl_googly_eyes_pair_down_square.png:" .. -- 13
        "0,208=yl_googly_eyes_pair_down_square.png:" .. -- 14
        "0,224=yl_googly_eyes_pair_down_square.png:" .. -- 15
        "0,240=yl_googly_eyes_pair_up_square.png" -- 16

local time0 = "yl_googly_eyes_blank.png"
local tile1 = {
    image = texture,
    backface_culling = true,
    animation = {
        type = "vertical_frames",
        aspect_w = 16,
        aspect_h = 16,
        length = 48
    }
}

local tiles = {tile0, tile0, tile0, tile0, tile1, tile0}

yl_googly_eyes.register_eye_with_tiles("everywhere", tiles)
